<?
require_once ('core/system.php');
include_once ('core/function.php'); /* Подключаем файл функций */
auth('no');
    $user = fch('SELECT * FROM `users` WHERE `id` = ? LIMIT 1', array($user['id']));
$max_level = 15;
$header = 'Артефакты';
require_once ('inc/header.php');
echo '<div class="block center">У вас: <img src="/images/icon/rubs.png" width="16px"> '.n_f($user['rub']).' рубинов</div>';

$cena_kolco = $array['art_stat_cena'][$user['kolco']];
$cena_book = $array['art_stat_cena'][$user['book']];
$cena_kolba = $array['art_stat_cena'][$user['kolba']];
$cena_zub = $array['art_stat_cena'][$user['zub']];

$action = fch("SELECT * FROM `action` WHERE `last` > ? AND `type` = ?", array(time(), 'artefact'));
if($action){
	$action_u = fch("SELECT * FROM `action_users` WHERE `id_action` = ? AND `id_user` = ?", array($action['id'], $user['id']));
	if($action_u['k_gold'] >= $action['gold']){
		$cena_kolco -= ceil($array['art_stat_cena'][$user['kolco']]*$action['p_gold']/100);
		$cena_book -= ceil($array['art_stat_cena'][$user['book']]*$action['p_gold']/100);
		$cena_kolba -= ceil($array['art_stat_cena'][$user['kolba']]*$action['p_gold']/100);
		$cena_zub -= ceil($array['art_stat_cena'][$user['zub']]*$action['p_gold']/100);
	}
}



if(isset($_GET['kolco']) and $user['kolco'] < $max_level){
	if($array['art_stat_cena_type'][$user['kolco']] == 'rub'){
		if($user['rub'] < $cena_kolco){
			$_SESSION['warning'] = 'У вас не достатачно рубинов';
			header('Location: ?');
			exit();
		}
		qry("UPDATE `users` SET `kolco` = ?, `rub` = ? WHERE `id` = ?", array($user['kolco']+1, $user['rub']-$cena_kolco, $user['id']));
		$quest = fch("SELECT * FROM `quest` WHERE `type` = ?", array('param_up'));
    	    $user_quest = fch("SELECT * FROM `quest_user` WHERE `id_quest` = ? AND `id_user` = ?", array($quest['id'], $user['id']));
    		if($user_quest['ok'] == 0){
    			qry("UPDATE `quest_user` SET `kolls` = `kolls` + '1' WHERE `id` = ?", array($user_quest['id']));
    		}
		header('Location: ?');
		exit();
	}
}
echo '<div class="block">';
echo '<table width="100%">';
echo '<td width="55px"><img src="/images/artefact/kolco.png" width="70px" height="70px"></td>';
echo '<td style="text-align:left;">';
echo '<span class="bold">Кольцо</span> ('.$user['kolco'].' из '.$max_level.')';
echo '<div class="mt5"></div>';
echo '<span class="small"></span>Кольцо увеличивает силу персонажа '.($user['kolco'] >= 1 ? 'и дает <font color="green">+'.$array['art_stat_param'][$user['kolco']].'</font> к силе' : '').'</span>';
echo '<div class="mt5"></div>';
echo '</td>';
echo '</table>';
if($user['kolco'] < $max_level){
	echo '<div class="center"><a href="?kolco" class="btn-default">Улучшить</a></div>';
	echo '<div class="mt5"></div>';
	echo '<div class="center"><font color="goldenrod">Стоимость:</font> '.($array['art_stat_cena_type'][$user['kolco']] == 'rub' ? '<img src="/images/icon/rubs.png" width="16px"> '.n_f($cena_kolco, 1).' рубинов' : '<img src="/images/icon/rubs.png" width="16px"> '.n_f($cena_kolco, 1).' рубинов').'</div>';
	}else{
	echo'<div class="center">Достигнут максимальный уровень</div>';
	}
echo '</div>';

if(isset($_GET['book']) and $user['book'] < $max_level){
	if($array['art_stat_cena_type'][$user['book']] == 'rub'){
		if($user['rub'] < $cena_book){
			$_SESSION['warning'] = 'У вас не достатачно рубинов';
			header('Location: ?');
			exit();
		}
		qry("UPDATE `users` SET `book` = ?, `rub` = ? WHERE `id` = ?", array($user['book']+1, $user['rub']-$cena_book, $user['id']));
		$quest = fch("SELECT * FROM `quest` WHERE `type` = ?", array('param_up'));
    	    $user_quest = fch("SELECT * FROM `quest_user` WHERE `id_quest` = ? AND `id_user` = ?", array($quest['id'], $user['id']));
    		if($user_quest['ok'] == 0){
    			qry("UPDATE `quest_user` SET `kolls` = `kolls` + '1' WHERE `id` = ?", array($user_quest['id']));
    		}
		header('Location: ?');
		exit();
	}
}
echo '<div class="block">';
echo '<table width="100%">';
echo '<td width="55px"><img src="/images/artefact/book.png" width="70px" height="70px"></td>';
echo '<td style="text-align:left;">';
echo '<span class="bold">Книга</span> ('.$user['book'].' из '.$max_level.')';
echo '<div class="mt5"></div>';
echo '<span class="small"></span>Книга увеличивает жизни персонажа '.($user['book'] >= 1 ? 'и дает <font color="green">+'.$array['art_stat_param'][$user['book']].'</font> к жизни' : '').'</span>';
echo '<div class="mt5"></div>';
echo '';
echo '</td>';
echo '</table>';
if($user['book'] < $max_level){
	echo '<div class="center"><a href="?book" class="btn-default">Улучшить</a></div>';
	echo '<div class="mt5"></div>';
	echo '<div class="center"><font color="goldenrod">Стоимость:</font> '.($array['art_stat_cena_type'][$user['book']] == 'rub' ? '<img src="/images/icon/rubs.png" width="16px"> '.n_f($cena_book, 1).' рубинов' : '<img src="/images/icon/rubs.png" width="16px"> '.n_f($cena_book, 1).' рубинов').'</div>';

	}else{
	echo'<div class="center">Достигнут максимальный уровень</div>';
	}
echo '</div>';

if(isset($_GET['kolba']) and $user['kolba'] < $max_level){
	if($array['art_stat_cena_type'][$user['kolba']] == 'rub'){
		if($user['rub'] < $cena_kolba){
			$_SESSION['warning'] = 'У вас не достатачно рубинов';
			header('Location: ?');
			exit();
		}
		qry("UPDATE `users` SET `kolba` = ?, `rub` = ? WHERE `id` = ?", array($user['kolba']+1, $user['rub']-$cena_kolba, $user['id']));
		$quest = fch("SELECT * FROM `quest` WHERE `type` = ?", array('param_up'));
    	    $user_quest = fch("SELECT * FROM `quest_user` WHERE `id_quest` = ? AND `id_user` = ?", array($quest['id'], $user['id']));
    		if($user_quest['ok'] == 0){
    			qry("UPDATE `quest_user` SET `kolls` = `kolls` + '1' WHERE `id` = ?", array($user_quest['id']));
    		}
		header('Location: ?');
		exit();
	}
}
echo '<div class="block">';
echo '<table width="100%">';
echo '<td width="55px"><img src="/images/artefact/kolba.png" width="70px" height="70px"></td>';
echo '<td style="text-align:left;">';
echo '<span class="bold">Магическая колба</span> ('.$user['kolba'].' из '.$max_level.')';
echo '<div class="mt5"></div>';
echo '<span class="small"></span>Магическая колба увеличивает защиту персонажа '.($user['kolba'] >= 1 ? 'и дает <font color="green">+'.$array['art_stat_param'][$user['kolba']].'</font> к защите' : '').'</span>';
echo '<div class="mt5"></div>';
echo '';
echo '</td>';
echo '</table>';
if($user['kolba'] < $max_level){
	echo '<div class="center"><a href="?kolba" class="btn-default">Улучшить</a></div>';
	echo '<div class="mt5"></div>';
	echo '<div class="center"><font color="goldenrod">Стоимость:</font> '.($array['art_stat_cena_type'][$user['kolba']] == 'rub' ? '<img src="/images/icon/rubs.png" width="16px"> '.n_f($cena_kolba, 1).' рубинов' : '<img src="/images/icon/rubs.png" width="16px"> '.n_f($cena_kolba, 1).' рубинов').'</div>';

	}else{
	echo'<div class="center">Достигнут максимальный уровень</div>';
	}
echo '</div>';

if(isset($_GET['zub']) and $user['zub'] < 5){
	if($array['art_stat_cena_type'][$user['zub']] == 'rub'){
		if($user['rub'] < $cena_zub){
			$_SESSION['warning'] = 'У вас не достатачно рубинов';
			header('Location: ?');
			exit();
		}
		qry("UPDATE `users` SET `zub` = ?, `rub` = ? WHERE `id` = ?", array($user['zub']+1, $user['rub']-$cena_zub, $user['id']));
		$quest = fch("SELECT * FROM `quest` WHERE `type` = ?", array('param_up'));
    	    $user_quest = fch("SELECT * FROM `quest_user` WHERE `id_quest` = ? AND `id_user` = ?", array($quest['id'], $user['id']));
    		if($user_quest['ok'] == 0){
    			qry("UPDATE `quest_user` SET `kolls` = `kolls` + '1' WHERE `id` = ?", array($user_quest['id']));
    		}
		header('Location: ?');
		exit();
	}
}
echo '<div class="block">';
echo '<table width="100%">';
echo '<td width="55px"><img src="/images/artefact/zub.png" width="70px" height="70px"></td>';
echo '<td style="text-align:left;">';
echo '<span class="bold">Зуб дракона</span> ('.$user['zub'].' из 5)';
echo '<div class="mt5"></div>';
echo '<span class="small"></span>Зуб дракона увеличивает доход серебра '.($user['zub'] >= 1 ? 'и дает <font color="green">+'.$array['art_stat_param'][$user['zub']].'%</font> к серебру' : '').'</span>';
echo '<div class="mt5"></div>';
echo '';
echo '</td>';
echo '</table>';
if($user['zub'] < 5){
	echo '<div class="center"><a href="?zub" class="btn-default">Улучшить</a></div>';
	echo '<div class="mt5"></div>';
	echo '<div class="center"><font color="goldenrod">Стоимость:</font> '.($array['art_stat_cena_type'][$user['zub']] == 'rub' ? '<img src="/images/icon/rubs.png" width="16px"> '.n_f($cena_zub, 1).' рубинов' : '<img src="/images/icon/rubs.png" width="16px"> '.n_f($cena_zub, 1).' рубинов').'</div>';

	}else{
	echo'<div class="center">Достигнут максимальный уровень</div>';
	}

echo '</div>';
require_once ('inc/footer.php');
?>
